//
//  HTMLStoreParser.h
//  League Manager
//
//  Created by Michael Privat on 9/20/10.
//  Copyright (c) 2010 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <CoreData/CoreData.h>

@class HTMLStore;

@interface HTMLStoreParser : NSObject <NSXMLParserDelegate> {
  HTMLStore *store;
  NSPersistentStoreCoordinator *coordinator;
  
  NSMutableSet *nodes;
  
  NSMutableString *value;
  
  NSEntityDescription *currentEntity;
  NSMutableArray *propertyNames;
  int propertyIndex;
  
  NSAtomicStoreCacheNode *node;  
  NSDictionary *attributes;
  NSDictionary *relationships;
  
  NSMutableArray *idList;
}

@property (nonatomic, retain) NSAtomicStore *store;
@property (nonatomic, retain) NSPersistentStoreCoordinator *coordinator;
@property (nonatomic, retain) NSMutableSet *nodes;

-(HTMLStoreParser*)initWithStore:(HTMLStore*)store;

@end
