//
//  League_ManagerAppDelegate.h
//  League Manager
//
//  Created by Rob Warner on 8/17/10.
//  Copyright (c) 2010 Availity, LLC. All rights reserved.
//


#import <UIKit/UIKit.h>

@interface League_ManagerAppDelegate : NSObject <UIApplicationDelegate> {

  UIWindow *window;

  NSManagedObjectContext *managedObjectContext;
  NSManagedObjectModel *managedObjectModel;
  NSPersistentStoreCoordinator *persistentStoreCoordinator;
  UINavigationController *navigationController;
}

@property (nonatomic, retain) IBOutlet UIWindow *window;


@property (nonatomic, retain, readonly) NSManagedObjectModel *managedObjectModel;
@property (nonatomic, retain, readonly) NSManagedObjectContext *managedObjectContext;
@property (nonatomic, retain, readonly) NSPersistentStoreCoordinator *persistentStoreCoordinator;

- (NSString *)applicationDocumentsDirectory;

@property (nonatomic, retain) IBOutlet UINavigationController *navigationController;
@end

