//
//  TeamViewController.h
//  League Manager
//
//  Created by Rob Warner on 8/18/10.
//  Copyright (c) 2010 Availity, LLC. All rights reserved.
//

#import <UIKit/UIKit.h>

@class RootViewController;

@interface TeamViewController : UIViewController {
  IBOutlet UITextField *name;
  IBOutlet UITextField *uniformColor;
  NSManagedObject *team;
  RootViewController *rootController;
}
@property (nonatomic, retain) UITextField *name;
@property (nonatomic, retain) UITextField *uniformColor;
@property (nonatomic, retain) NSManagedObject *team;
@property (nonatomic, retain) RootViewController *rootController;

- (IBAction)save:(id)sender;
- (IBAction)cancel:(id)sender;
- (id)initWithRootController:(RootViewController *)aRootController team:(NSManagedObject *)aTeam;

@end
