//
//  PlayerListViewController.h
//  League Manager
//
//  Created by Rob Warner on 8/24/10.
//  Copyright (c) 2010 Availity, LLC. All rights reserved.
//

#import <UIKit/UIKit.h>

@class RootViewController;

@interface PlayerListViewController : UITableViewController {
  NSManagedObject *team;
  RootViewController *rootController;
}
@property (nonatomic, retain) NSManagedObject *team;
@property (nonatomic, retain) RootViewController *rootController;

- (id)initWithRootController:(RootViewController *)aRootController team:(NSManagedObject *)aTeam;
- (void)showPlayerView;
- (NSArray *)sortPlayers;

@end