//
//  PlayerViewController.h
//  League Manager
//
//  Created by Rob Warner on 8/24/10.
//  Copyright (c) 2010 Availity, LLC. All rights reserved.
//

#import <UIKit/UIKit.h>

@class RootViewController;

@interface PlayerViewController : UIViewController <UIActionSheetDelegate> {
  IBOutlet UITextField *firstName;
  IBOutlet UITextField *lastName;
  IBOutlet UITextField *email;
  NSManagedObject *team;
  NSManagedObject *player;
  RootViewController *rootController;
}
@property (nonatomic, retain) UITextField *firstName;
@property (nonatomic, retain) UITextField *lastName;
@property (nonatomic, retain) UITextField *email;
@property (nonatomic, retain) NSManagedObject *team;
@property (nonatomic, retain) NSManagedObject *player;
@property (nonatomic, retain) RootViewController *rootController;

- (IBAction)save:(id)sender;
- (IBAction)cancel:(id)sender;
- (IBAction)confirmDelete:(id)sender;
- (id)initWithRootController:(RootViewController *)aRootController team:(NSManagedObject *)aTeam player:(NSManagedObject *)aPlayer;

@end

